Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network247.2.128.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
247.2.128.0
Broadcast address
247.2.191.255
First usable
247.2.128.1
Last usable
247.2.191.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F7028000 · Integer 4144136192 to 4144152575
Reverse DNS zones
128.2.247.in-addr.arpa
129.2.247.in-addr.arpa
130.2.247.in-addr.arpa
131.2.247.in-addr.arpa
132.2.247.in-addr.arpa
133.2.247.in-addr.arpa
134.2.247.in-addr.arpa
135.2.247.in-addr.arpa
136.2.247.in-addr.arpa
137.2.247.in-addr.arpa
138.2.247.in-addr.arpa
139.2.247.in-addr.arpa
140.2.247.in-addr.arpa
141.2.247.in-addr.arpa
142.2.247.in-addr.arpa
143.2.247.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110111.00000010.10000000.00000000247.2.128.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11110111.00000010.10000000.00000000247.2.128.0
Broadcast11110111.00000010.10111111.11111111247.2.191.255
Split into smaller subnets/27

247.2.128.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1247.2.128.0/27247.2.128.1 to 247.2.128.30247.2.128.3130
2247.2.128.32/27247.2.128.33 to 247.2.128.62247.2.128.6330
3247.2.128.64/27247.2.128.65 to 247.2.128.94247.2.128.9530
4247.2.128.96/27247.2.128.97 to 247.2.128.126247.2.128.12730
5247.2.128.128/27247.2.128.129 to 247.2.128.158247.2.128.15930
6247.2.128.160/27247.2.128.161 to 247.2.128.190247.2.128.19130
7247.2.128.192/27247.2.128.193 to 247.2.128.222247.2.128.22330
8247.2.128.224/27247.2.128.225 to 247.2.128.254247.2.128.25530
9247.2.129.0/27247.2.129.1 to 247.2.129.30247.2.129.3130
10247.2.129.32/27247.2.129.33 to 247.2.129.62247.2.129.6330
11247.2.129.64/27247.2.129.65 to 247.2.129.94247.2.129.9530
12247.2.129.96/27247.2.129.97 to 247.2.129.126247.2.129.12730
13247.2.129.128/27247.2.129.129 to 247.2.129.158247.2.129.15930
14247.2.129.160/27247.2.129.161 to 247.2.129.190247.2.129.19130
15247.2.129.192/27247.2.129.193 to 247.2.129.222247.2.129.22330
16247.2.129.224/27247.2.129.225 to 247.2.129.254247.2.129.25530
17247.2.130.0/27247.2.130.1 to 247.2.130.30247.2.130.3130
18247.2.130.32/27247.2.130.33 to 247.2.130.62247.2.130.6330
19247.2.130.64/27247.2.130.65 to 247.2.130.94247.2.130.9530
20247.2.130.96/27247.2.130.97 to 247.2.130.126247.2.130.12730
21247.2.130.128/27247.2.130.129 to 247.2.130.158247.2.130.15930
22247.2.130.160/27247.2.130.161 to 247.2.130.190247.2.130.19130
23247.2.130.192/27247.2.130.193 to 247.2.130.222247.2.130.22330
24247.2.130.224/27247.2.130.225 to 247.2.130.254247.2.130.25530
25247.2.131.0/27247.2.131.1 to 247.2.131.30247.2.131.3130
26247.2.131.32/27247.2.131.33 to 247.2.131.62247.2.131.6330
27247.2.131.64/27247.2.131.65 to 247.2.131.94247.2.131.9530
28247.2.131.96/27247.2.131.97 to 247.2.131.126247.2.131.12730
29247.2.131.128/27247.2.131.129 to 247.2.131.158247.2.131.15930
30247.2.131.160/27247.2.131.161 to 247.2.131.190247.2.131.19130
31247.2.131.192/27247.2.131.193 to 247.2.131.222247.2.131.22330
32247.2.131.224/27247.2.131.225 to 247.2.131.254247.2.131.25530
33247.2.132.0/27247.2.132.1 to 247.2.132.30247.2.132.3130
34247.2.132.32/27247.2.132.33 to 247.2.132.62247.2.132.6330
35247.2.132.64/27247.2.132.65 to 247.2.132.94247.2.132.9530
36247.2.132.96/27247.2.132.97 to 247.2.132.126247.2.132.12730
37247.2.132.128/27247.2.132.129 to 247.2.132.158247.2.132.15930
38247.2.132.160/27247.2.132.161 to 247.2.132.190247.2.132.19130
39247.2.132.192/27247.2.132.193 to 247.2.132.222247.2.132.22330
40247.2.132.224/27247.2.132.225 to 247.2.132.254247.2.132.25530
41247.2.133.0/27247.2.133.1 to 247.2.133.30247.2.133.3130
42247.2.133.32/27247.2.133.33 to 247.2.133.62247.2.133.6330
43247.2.133.64/27247.2.133.65 to 247.2.133.94247.2.133.9530
44247.2.133.96/27247.2.133.97 to 247.2.133.126247.2.133.12730
45247.2.133.128/27247.2.133.129 to 247.2.133.158247.2.133.15930
46247.2.133.160/27247.2.133.161 to 247.2.133.190247.2.133.19130
47247.2.133.192/27247.2.133.193 to 247.2.133.222247.2.133.22330
48247.2.133.224/27247.2.133.225 to 247.2.133.254247.2.133.25530
49247.2.134.0/27247.2.134.1 to 247.2.134.30247.2.134.3130
50247.2.134.32/27247.2.134.33 to 247.2.134.62247.2.134.6330
51247.2.134.64/27247.2.134.65 to 247.2.134.94247.2.134.9530
52247.2.134.96/27247.2.134.97 to 247.2.134.126247.2.134.12730
53247.2.134.128/27247.2.134.129 to 247.2.134.158247.2.134.15930
54247.2.134.160/27247.2.134.161 to 247.2.134.190247.2.134.19130
55247.2.134.192/27247.2.134.193 to 247.2.134.222247.2.134.22330
56247.2.134.224/27247.2.134.225 to 247.2.134.254247.2.134.25530
57247.2.135.0/27247.2.135.1 to 247.2.135.30247.2.135.3130
58247.2.135.32/27247.2.135.33 to 247.2.135.62247.2.135.6330
59247.2.135.64/27247.2.135.65 to 247.2.135.94247.2.135.9530
60247.2.135.96/27247.2.135.97 to 247.2.135.126247.2.135.12730
61247.2.135.128/27247.2.135.129 to 247.2.135.158247.2.135.15930
62247.2.135.160/27247.2.135.161 to 247.2.135.190247.2.135.19130
63247.2.135.192/27247.2.135.193 to 247.2.135.222247.2.135.22330
64247.2.135.224/27247.2.135.225 to 247.2.135.254247.2.135.25530
65247.2.136.0/27247.2.136.1 to 247.2.136.30247.2.136.3130
66247.2.136.32/27247.2.136.33 to 247.2.136.62247.2.136.6330
67247.2.136.64/27247.2.136.65 to 247.2.136.94247.2.136.9530
68247.2.136.96/27247.2.136.97 to 247.2.136.126247.2.136.12730
69247.2.136.128/27247.2.136.129 to 247.2.136.158247.2.136.15930
70247.2.136.160/27247.2.136.161 to 247.2.136.190247.2.136.19130
71247.2.136.192/27247.2.136.193 to 247.2.136.222247.2.136.22330
72247.2.136.224/27247.2.136.225 to 247.2.136.254247.2.136.25530
73247.2.137.0/27247.2.137.1 to 247.2.137.30247.2.137.3130
74247.2.137.32/27247.2.137.33 to 247.2.137.62247.2.137.6330
75247.2.137.64/27247.2.137.65 to 247.2.137.94247.2.137.9530
76247.2.137.96/27247.2.137.97 to 247.2.137.126247.2.137.12730
77247.2.137.128/27247.2.137.129 to 247.2.137.158247.2.137.15930
78247.2.137.160/27247.2.137.161 to 247.2.137.190247.2.137.19130
79247.2.137.192/27247.2.137.193 to 247.2.137.222247.2.137.22330
80247.2.137.224/27247.2.137.225 to 247.2.137.254247.2.137.25530
81247.2.138.0/27247.2.138.1 to 247.2.138.30247.2.138.3130
82247.2.138.32/27247.2.138.33 to 247.2.138.62247.2.138.6330
83247.2.138.64/27247.2.138.65 to 247.2.138.94247.2.138.9530
84247.2.138.96/27247.2.138.97 to 247.2.138.126247.2.138.12730
85247.2.138.128/27247.2.138.129 to 247.2.138.158247.2.138.15930
86247.2.138.160/27247.2.138.161 to 247.2.138.190247.2.138.19130
87247.2.138.192/27247.2.138.193 to 247.2.138.222247.2.138.22330
88247.2.138.224/27247.2.138.225 to 247.2.138.254247.2.138.25530
89247.2.139.0/27247.2.139.1 to 247.2.139.30247.2.139.3130
90247.2.139.32/27247.2.139.33 to 247.2.139.62247.2.139.6330
91247.2.139.64/27247.2.139.65 to 247.2.139.94247.2.139.9530
92247.2.139.96/27247.2.139.97 to 247.2.139.126247.2.139.12730
93247.2.139.128/27247.2.139.129 to 247.2.139.158247.2.139.15930
94247.2.139.160/27247.2.139.161 to 247.2.139.190247.2.139.19130
95247.2.139.192/27247.2.139.193 to 247.2.139.222247.2.139.22330
96247.2.139.224/27247.2.139.225 to 247.2.139.254247.2.139.25530
97247.2.140.0/27247.2.140.1 to 247.2.140.30247.2.140.3130
98247.2.140.32/27247.2.140.33 to 247.2.140.62247.2.140.6330
99247.2.140.64/27247.2.140.65 to 247.2.140.94247.2.140.9530
100247.2.140.96/27247.2.140.97 to 247.2.140.126247.2.140.12730
101247.2.140.128/27247.2.140.129 to 247.2.140.158247.2.140.15930
102247.2.140.160/27247.2.140.161 to 247.2.140.190247.2.140.19130
103247.2.140.192/27247.2.140.193 to 247.2.140.222247.2.140.22330
104247.2.140.224/27247.2.140.225 to 247.2.140.254247.2.140.25530
105247.2.141.0/27247.2.141.1 to 247.2.141.30247.2.141.3130
106247.2.141.32/27247.2.141.33 to 247.2.141.62247.2.141.6330
107247.2.141.64/27247.2.141.65 to 247.2.141.94247.2.141.9530
108247.2.141.96/27247.2.141.97 to 247.2.141.126247.2.141.12730
109247.2.141.128/27247.2.141.129 to 247.2.141.158247.2.141.15930
110247.2.141.160/27247.2.141.161 to 247.2.141.190247.2.141.19130
111247.2.141.192/27247.2.141.193 to 247.2.141.222247.2.141.22330
112247.2.141.224/27247.2.141.225 to 247.2.141.254247.2.141.25530
113247.2.142.0/27247.2.142.1 to 247.2.142.30247.2.142.3130
114247.2.142.32/27247.2.142.33 to 247.2.142.62247.2.142.6330
115247.2.142.64/27247.2.142.65 to 247.2.142.94247.2.142.9530
116247.2.142.96/27247.2.142.97 to 247.2.142.126247.2.142.12730
117247.2.142.128/27247.2.142.129 to 247.2.142.158247.2.142.15930
118247.2.142.160/27247.2.142.161 to 247.2.142.190247.2.142.19130
119247.2.142.192/27247.2.142.193 to 247.2.142.222247.2.142.22330
120247.2.142.224/27247.2.142.225 to 247.2.142.254247.2.142.25530
121247.2.143.0/27247.2.143.1 to 247.2.143.30247.2.143.3130
122247.2.143.32/27247.2.143.33 to 247.2.143.62247.2.143.6330
123247.2.143.64/27247.2.143.65 to 247.2.143.94247.2.143.9530
124247.2.143.96/27247.2.143.97 to 247.2.143.126247.2.143.12730
125247.2.143.128/27247.2.143.129 to 247.2.143.158247.2.143.15930
126247.2.143.160/27247.2.143.161 to 247.2.143.190247.2.143.19130
127247.2.143.192/27247.2.143.193 to 247.2.143.222247.2.143.22330
128247.2.143.224/27247.2.143.225 to 247.2.143.254247.2.143.25530
129247.2.144.0/27247.2.144.1 to 247.2.144.30247.2.144.3130
130247.2.144.32/27247.2.144.33 to 247.2.144.62247.2.144.6330
131247.2.144.64/27247.2.144.65 to 247.2.144.94247.2.144.9530
132247.2.144.96/27247.2.144.97 to 247.2.144.126247.2.144.12730
133247.2.144.128/27247.2.144.129 to 247.2.144.158247.2.144.15930
134247.2.144.160/27247.2.144.161 to 247.2.144.190247.2.144.19130
135247.2.144.192/27247.2.144.193 to 247.2.144.222247.2.144.22330
136247.2.144.224/27247.2.144.225 to 247.2.144.254247.2.144.25530
137247.2.145.0/27247.2.145.1 to 247.2.145.30247.2.145.3130
138247.2.145.32/27247.2.145.33 to 247.2.145.62247.2.145.6330
139247.2.145.64/27247.2.145.65 to 247.2.145.94247.2.145.9530
140247.2.145.96/27247.2.145.97 to 247.2.145.126247.2.145.12730
141247.2.145.128/27247.2.145.129 to 247.2.145.158247.2.145.15930
142247.2.145.160/27247.2.145.161 to 247.2.145.190247.2.145.19130
143247.2.145.192/27247.2.145.193 to 247.2.145.222247.2.145.22330
144247.2.145.224/27247.2.145.225 to 247.2.145.254247.2.145.25530
145247.2.146.0/27247.2.146.1 to 247.2.146.30247.2.146.3130
146247.2.146.32/27247.2.146.33 to 247.2.146.62247.2.146.6330
147247.2.146.64/27247.2.146.65 to 247.2.146.94247.2.146.9530
148247.2.146.96/27247.2.146.97 to 247.2.146.126247.2.146.12730
149247.2.146.128/27247.2.146.129 to 247.2.146.158247.2.146.15930
150247.2.146.160/27247.2.146.161 to 247.2.146.190247.2.146.19130
151247.2.146.192/27247.2.146.193 to 247.2.146.222247.2.146.22330
152247.2.146.224/27247.2.146.225 to 247.2.146.254247.2.146.25530
153247.2.147.0/27247.2.147.1 to 247.2.147.30247.2.147.3130
154247.2.147.32/27247.2.147.33 to 247.2.147.62247.2.147.6330
155247.2.147.64/27247.2.147.65 to 247.2.147.94247.2.147.9530
156247.2.147.96/27247.2.147.97 to 247.2.147.126247.2.147.12730
157247.2.147.128/27247.2.147.129 to 247.2.147.158247.2.147.15930
158247.2.147.160/27247.2.147.161 to 247.2.147.190247.2.147.19130
159247.2.147.192/27247.2.147.193 to 247.2.147.222247.2.147.22330
160247.2.147.224/27247.2.147.225 to 247.2.147.254247.2.147.25530
161247.2.148.0/27247.2.148.1 to 247.2.148.30247.2.148.3130
162247.2.148.32/27247.2.148.33 to 247.2.148.62247.2.148.6330
163247.2.148.64/27247.2.148.65 to 247.2.148.94247.2.148.9530
164247.2.148.96/27247.2.148.97 to 247.2.148.126247.2.148.12730
165247.2.148.128/27247.2.148.129 to 247.2.148.158247.2.148.15930
166247.2.148.160/27247.2.148.161 to 247.2.148.190247.2.148.19130
167247.2.148.192/27247.2.148.193 to 247.2.148.222247.2.148.22330
168247.2.148.224/27247.2.148.225 to 247.2.148.254247.2.148.25530
169247.2.149.0/27247.2.149.1 to 247.2.149.30247.2.149.3130
170247.2.149.32/27247.2.149.33 to 247.2.149.62247.2.149.6330
171247.2.149.64/27247.2.149.65 to 247.2.149.94247.2.149.9530
172247.2.149.96/27247.2.149.97 to 247.2.149.126247.2.149.12730
173247.2.149.128/27247.2.149.129 to 247.2.149.158247.2.149.15930
174247.2.149.160/27247.2.149.161 to 247.2.149.190247.2.149.19130
175247.2.149.192/27247.2.149.193 to 247.2.149.222247.2.149.22330
176247.2.149.224/27247.2.149.225 to 247.2.149.254247.2.149.25530
177247.2.150.0/27247.2.150.1 to 247.2.150.30247.2.150.3130
178247.2.150.32/27247.2.150.33 to 247.2.150.62247.2.150.6330
179247.2.150.64/27247.2.150.65 to 247.2.150.94247.2.150.9530
180247.2.150.96/27247.2.150.97 to 247.2.150.126247.2.150.12730
181247.2.150.128/27247.2.150.129 to 247.2.150.158247.2.150.15930
182247.2.150.160/27247.2.150.161 to 247.2.150.190247.2.150.19130
183247.2.150.192/27247.2.150.193 to 247.2.150.222247.2.150.22330
184247.2.150.224/27247.2.150.225 to 247.2.150.254247.2.150.25530
185247.2.151.0/27247.2.151.1 to 247.2.151.30247.2.151.3130
186247.2.151.32/27247.2.151.33 to 247.2.151.62247.2.151.6330
187247.2.151.64/27247.2.151.65 to 247.2.151.94247.2.151.9530
188247.2.151.96/27247.2.151.97 to 247.2.151.126247.2.151.12730
189247.2.151.128/27247.2.151.129 to 247.2.151.158247.2.151.15930
190247.2.151.160/27247.2.151.161 to 247.2.151.190247.2.151.19130
191247.2.151.192/27247.2.151.193 to 247.2.151.222247.2.151.22330
192247.2.151.224/27247.2.151.225 to 247.2.151.254247.2.151.25530
193247.2.152.0/27247.2.152.1 to 247.2.152.30247.2.152.3130
194247.2.152.32/27247.2.152.33 to 247.2.152.62247.2.152.6330
195247.2.152.64/27247.2.152.65 to 247.2.152.94247.2.152.9530
196247.2.152.96/27247.2.152.97 to 247.2.152.126247.2.152.12730
197247.2.152.128/27247.2.152.129 to 247.2.152.158247.2.152.15930
198247.2.152.160/27247.2.152.161 to 247.2.152.190247.2.152.19130
199247.2.152.192/27247.2.152.193 to 247.2.152.222247.2.152.22330
200247.2.152.224/27247.2.152.225 to 247.2.152.254247.2.152.25530
201247.2.153.0/27247.2.153.1 to 247.2.153.30247.2.153.3130
202247.2.153.32/27247.2.153.33 to 247.2.153.62247.2.153.6330
203247.2.153.64/27247.2.153.65 to 247.2.153.94247.2.153.9530
204247.2.153.96/27247.2.153.97 to 247.2.153.126247.2.153.12730
205247.2.153.128/27247.2.153.129 to 247.2.153.158247.2.153.15930
206247.2.153.160/27247.2.153.161 to 247.2.153.190247.2.153.19130
207247.2.153.192/27247.2.153.193 to 247.2.153.222247.2.153.22330
208247.2.153.224/27247.2.153.225 to 247.2.153.254247.2.153.25530
209247.2.154.0/27247.2.154.1 to 247.2.154.30247.2.154.3130
210247.2.154.32/27247.2.154.33 to 247.2.154.62247.2.154.6330
211247.2.154.64/27247.2.154.65 to 247.2.154.94247.2.154.9530
212247.2.154.96/27247.2.154.97 to 247.2.154.126247.2.154.12730
213247.2.154.128/27247.2.154.129 to 247.2.154.158247.2.154.15930
214247.2.154.160/27247.2.154.161 to 247.2.154.190247.2.154.19130
215247.2.154.192/27247.2.154.193 to 247.2.154.222247.2.154.22330
216247.2.154.224/27247.2.154.225 to 247.2.154.254247.2.154.25530
217247.2.155.0/27247.2.155.1 to 247.2.155.30247.2.155.3130
218247.2.155.32/27247.2.155.33 to 247.2.155.62247.2.155.6330
219247.2.155.64/27247.2.155.65 to 247.2.155.94247.2.155.9530
220247.2.155.96/27247.2.155.97 to 247.2.155.126247.2.155.12730
221247.2.155.128/27247.2.155.129 to 247.2.155.158247.2.155.15930
222247.2.155.160/27247.2.155.161 to 247.2.155.190247.2.155.19130
223247.2.155.192/27247.2.155.193 to 247.2.155.222247.2.155.22330
224247.2.155.224/27247.2.155.225 to 247.2.155.254247.2.155.25530
225247.2.156.0/27247.2.156.1 to 247.2.156.30247.2.156.3130
226247.2.156.32/27247.2.156.33 to 247.2.156.62247.2.156.6330
227247.2.156.64/27247.2.156.65 to 247.2.156.94247.2.156.9530
228247.2.156.96/27247.2.156.97 to 247.2.156.126247.2.156.12730
229247.2.156.128/27247.2.156.129 to 247.2.156.158247.2.156.15930
230247.2.156.160/27247.2.156.161 to 247.2.156.190247.2.156.19130
231247.2.156.192/27247.2.156.193 to 247.2.156.222247.2.156.22330
232247.2.156.224/27247.2.156.225 to 247.2.156.254247.2.156.25530
233247.2.157.0/27247.2.157.1 to 247.2.157.30247.2.157.3130
234247.2.157.32/27247.2.157.33 to 247.2.157.62247.2.157.6330
235247.2.157.64/27247.2.157.65 to 247.2.157.94247.2.157.9530
236247.2.157.96/27247.2.157.97 to 247.2.157.126247.2.157.12730
237247.2.157.128/27247.2.157.129 to 247.2.157.158247.2.157.15930
238247.2.157.160/27247.2.157.161 to 247.2.157.190247.2.157.19130
239247.2.157.192/27247.2.157.193 to 247.2.157.222247.2.157.22330
240247.2.157.224/27247.2.157.225 to 247.2.157.254247.2.157.25530
241247.2.158.0/27247.2.158.1 to 247.2.158.30247.2.158.3130
242247.2.158.32/27247.2.158.33 to 247.2.158.62247.2.158.6330
243247.2.158.64/27247.2.158.65 to 247.2.158.94247.2.158.9530
244247.2.158.96/27247.2.158.97 to 247.2.158.126247.2.158.12730
245247.2.158.128/27247.2.158.129 to 247.2.158.158247.2.158.15930
246247.2.158.160/27247.2.158.161 to 247.2.158.190247.2.158.19130
247247.2.158.192/27247.2.158.193 to 247.2.158.222247.2.158.22330
248247.2.158.224/27247.2.158.225 to 247.2.158.254247.2.158.25530
249247.2.159.0/27247.2.159.1 to 247.2.159.30247.2.159.3130
250247.2.159.32/27247.2.159.33 to 247.2.159.62247.2.159.6330
251247.2.159.64/27247.2.159.65 to 247.2.159.94247.2.159.9530
252247.2.159.96/27247.2.159.97 to 247.2.159.126247.2.159.12730
253247.2.159.128/27247.2.159.129 to 247.2.159.158247.2.159.15930
254247.2.159.160/27247.2.159.161 to 247.2.159.190247.2.159.19130
255247.2.159.192/27247.2.159.193 to 247.2.159.222247.2.159.22330
256247.2.159.224/27247.2.159.225 to 247.2.159.254247.2.159.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses